org.eclipse.jetty.io

## Class WriterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.jetty.io.WriterOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class WriterOutputStream
      extends OutputStream

  Wrap a Writer as an OutputStream. When all you have is a Writer and only an OutputStream will do. Try not to use this as it indicates that your design is a dogs breakfast (JSP made me write it).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_encoding`
    `protected Writer` | `_writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterOutputStream(Writer writer)`
    `WriterOutputStream(Writer writer, String encoding)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _writer

          protected final Writer _writer

    - #### _encoding

          protected final String _encoding

  - ### Constructor Detail

    - #### WriterOutputStream

          public WriterOutputStream(Writer writer,
                            String encoding)

    - #### WriterOutputStream

          public WriterOutputStream(Writer writer)

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.